import request from '@/utils/request'
import constant from '@/constant'

function pageList(formData) {
  return request.post(constant.serverUrl + "/base/fundIncomeInfo/pageList", formData);
}

function summaryList(formData) {
  return request.post(constant.serverUrl + "/base/fundIncomeInfo/summaryList", formData);
}

function create() {
  return request.get(constant.serverUrl + "/base/fundIncomeInfo/create");
}

function edit(id) {
  return request.get(constant.serverUrl + "/base/fundIncomeInfo/edit/" + id);
}

function add(formModel) {
  return request.post(constant.serverUrl + "/base/fundIncomeInfo/add", formModel, {
    headers: {
      "Content-Type": "application/json"
    }
  });
}

function update(formModel) {
  return request.post(constant.serverUrl + "/base/fundIncomeInfo/update", formModel, {
    headers: {
      "Content-Type": "application/json"
    }
  });
}

function batchSave(formModel) {
  return request.post(constant.serverUrl + "/base/fundIncomeInfo/batchSave", formModel, {
    headers: {
      "Content-Type": "application/json"
    }
  });
}

function remove(id) {
  return request.post(constant.serverUrl + "/base/fundIncomeInfo/delete/" + id);
}

function batchRemove(idList) {
  return request.post(constant.serverUrl + "/base/fundIncomeInfo/batchDelete", idList, {
    headers: {
      "Content-Type": "application/json"
    }
  });
}

function generateData(formData) {
  return request.post(constant.serverUrl + "/base/fundIncomeInfo/generateData", formData);
}


function selectExportXls(formModel) {
  return request.post(constant.serverUrl + "/base/fundIncomeInfo/selectExportXls", formModel, {
    headers: {
      "Content-Type": "application/json"
    }
  });
}

export default {
  pageList, create, edit, add, update, remove, batchRemove,generateData,batchSave,summaryList,selectExportXls
}